| globjects 1.0.0.000000000000 Strict OpenGL objects wrapper.

Public Member Functions | Protected Attributes | List of all members
globjects::FramebufferAttachment Class Reference

Wraps attachments to a FrameBufferObject. More...

`#include <globjects/include/globjects/FramebufferAttachment.h>`

Inheritance diagram for globjects::FramebufferAttachment:

## Public Member Functions
| FramebufferAttachment (Framebuffer *fbo, gl::GLenum attachment)
gl::GLenum | attachment () const
gl::GLint | getParameter (gl::GLenum pname) const
virtual bool | isTextureAttachment () const
virtual bool | isRenderBufferAttachment () const
AttachedTexture * | asTextureAttachment ()
const AttachedTexture * | asTextureAttachment () const
AttachedRenderbuffer * | asRenderBufferAttachment ()
const AttachedRenderbuffer * | asRenderBufferAttachment () const
std::string | attachmentString () const
Public Member Functions inherited from globjects::Referenced
| Referenced ()
void | ref () const
void | unref () const
int | refCounter () const
Public Member Functions inherited from globjects::HeapOnly
| HeapOnly ()
void | destroy () const

## Protected Attributes
Framebuffer * | m_fbo
gl::GLenum | m_attachment

## Additional Inherited Members
Protected Member Functions inherited from globjects::Referenced
virtual | ~Referenced ()
Protected Member Functions inherited from globjects::HeapOnly
virtual | ~HeapOnly ()

## Detailed Description

Wraps attachments to a FrameBufferObject.

Normally, FrameBufferAttachments are created using the API of FrameBufferObject.

See also
  FrameBufferObject
  TextureAttachment
  RenderBufferAttachment

## Constructor & Destructor Documentation

## ◆ FramebufferAttachment()

globjects::FramebufferAttachment::FramebufferAttachment | ( | Framebuffer * | fbo,
|  | gl::GLenum | attachment
| ) |  |

## Member Function Documentation

## ◆ attachment()

gl::GLenum globjects::FramebufferAttachment::attachment | ( |  | ) | const

## ◆ getParameter()

gl::GLint globjects::FramebufferAttachment::getParameter | ( | gl::GLenum | pname | ) | const

## ◆ isTextureAttachment()

virtual bool globjects::FramebufferAttachment::isTextureAttachment | ( |  | ) | const
| virtual

Reimplemented in globjects::AttachedTexture.

## ◆ isRenderBufferAttachment()

virtual bool globjects::FramebufferAttachment::isRenderBufferAttachment | ( |  | ) | const
| virtual

Reimplemented in globjects::AttachedRenderbuffer.

## ◆ asTextureAttachment() [1/2]

AttachedTexture* globjects::FramebufferAttachment::asTextureAttachment | ( |  | ) |

## ◆ asTextureAttachment() [2/2]

const AttachedTexture* globjects::FramebufferAttachment::asTextureAttachment | ( |  | ) | const

## ◆ asRenderBufferAttachment() [1/2]

AttachedRenderbuffer* globjects::FramebufferAttachment::asRenderBufferAttachment | ( |  | ) |

## ◆ asRenderBufferAttachment() [2/2]

const AttachedRenderbuffer* globjects::FramebufferAttachment::asRenderBufferAttachment | ( |  | ) | const

## ◆ attachmentString()

std::string globjects::FramebufferAttachment::attachmentString | ( |  | ) | const

## Member Data Documentation

## ◆ m_fbo

Framebuffer* globjects::FramebufferAttachment::m_fbo
| protected

## ◆ m_attachment

gl::GLenum globjects::FramebufferAttachment::m_attachment
| protected

The documentation for this class was generated from the following file:

- FramebufferAttachment.h